Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianMember

    java.lang.Object
      com.tonbeller.jpivot.mondrian.MondrianMember

All Implemented Interfaces:
  Decorator, Displayable, Expression, Member, PropertyHolder, Visitable, MDXElement, MDXMember

    public class MondrianMember

extends java.lang.Object
implements Member, MDXMember

MondrianMember is an adapter class for the Mondrian Member.

Nested Class Summary
`static class` | `MondrianMember.MondrianProp` a mondrian property can have a caption different from name we only show the caption

Constructor Summary
`protected` | `MondrianMember(mondrian.olap.Member monMember, MondrianLevel level, MondrianModel model)` Constructor

Method Summary
`void` | `accept(Visitor visitor)`
`boolean` | `equals(java.lang.Object obj)` allows to compare members from the current result and the previous result.
`java.lang.String` | `getLabel()` name of this item
`Level` | `getLevel()` get the level to which this member belongs.
`mondrian.olap.Member` | `getMonMember()` Returns the corresponding Mondrian Member.
`Member` | `getParent()` get parent member
`java.lang.String` | `getParentUniqueName()` get parent member unique name
`Property[]` | `getProperties()` get all properties of this member
`Property` | `getProperty(java.lang.String name)` get a specific property of this member
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`int` | `getRootDistance()` returns the distance from the root member of the hierarchy.
`java.lang.String` | `getUniqueName()` return the unique name of an MDX Olap element
`int` | `hashCode()`
`boolean` | `isAll()`
`boolean` | `isCalculated()` an OLAP Member may be calculated i.e. derived from original members

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianMember

    protected MondrianMember(mondrian.olap.Member monMember,
                             MondrianLevel level,
                             MondrianModel model)

  Constructor

  Parameters:
    `monMember` - corresponding Mondrian Member
    `level` - Olap hierarchy parent object

Method Detail

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `Displayable`
  name of this item

  Specified by:
    `getLabel` in interface `Displayable`

### getRootDistance

    public int getRootDistance()

  Description copied from interface: `Member`
  returns the distance from the root member of the hierarchy. This is used to compute indentation.

  Specified by:
    `getRootDistance` in interface `Member`
  Returns:
    0 for the root member(s), > 0 else
  See Also:
    `Member.getRootDistance()`

### getLevel

    public Level getLevel()

  Description copied from interface: `Member`
  get the level to which this member belongs.

  Specified by:
    `getLevel` in interface `Member`
  Returns:
    not null
  See Also:
    `Member.getLevel()`

### getProperties

    public Property[] getProperties()

  Description copied from interface: `PropertyHolder`
  get all properties of this member

  Specified by:
    `getProperties` in interface `PropertyHolder`
  See Also:
    `PropertyHolder.getProperties()`

### getParent

    public Member getParent()

  Description copied from interface: `MDXMember`
  get parent member

  Specified by:
    `getParent` in interface `MDXMember`
  Returns:
    parent
  See Also:
    `MDXMember.getParent()`

### getParentUniqueName

    public java.lang.String getParentUniqueName()

  Description copied from interface: `MDXMember`
  get parent member unique name

  Specified by:
    `getParentUniqueName` in interface `MDXMember`
  Returns:
    parent unique name
  See Also:
    `com.tonbeller.jpivot.olap.model.MDXMember#getParentUniqueName()`

### isAll

    public boolean isAll()

  Specified by:
    `isAll` in interface `Member`
  Returns:
    true, if it is an "All" member

### getProperty

    public Property getProperty(java.lang.String name)

  Description copied from interface: `PropertyHolder`
  get a specific property of this member

  Specified by:
    `getProperty` in interface `PropertyHolder`
  See Also:
    `PropertyHolder.getProperty(String)`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getMonMember

    public mondrian.olap.Member getMonMember()

  Returns the corresponding Mondrian Member.

  Returns:
    mondrian.olap.Member

### getUniqueName

    public java.lang.String getUniqueName()

  Description copied from interface: `MDXElement`
  return the unique name of an MDX Olap element

  Specified by:
    `getUniqueName` in interface `MDXElement`
  Returns:
    the unique name

### isCalculated

    public boolean isCalculated()

  Description copied from interface: `Member`
  an OLAP Member may be calculated i.e. derived from original members

  Specified by:
    `isCalculated` in interface `Member`
  Returns:
    true,if the member is calculated

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### equals

    public boolean equals(java.lang.Object obj)

  Description copied from interface: `Member`
  allows to compare members from the current result and the previous result.

  Specified by:
    `equals` in interface `Member`
  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD